/*
 * Copyright (c) 2004 Stefan Ulrich
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * PAUL VOJTA OR ANY OTHER AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef XM_PREFS_H_
#define XM_PREFS_H_

#ifdef MOTIF

#if 0
/* these are the options that actually will be used for customization */
struct user_prefs {
    Boolean use_tex_pages;
    int shrinkfactor;
#ifdef	GREY
    float gamma;
#endif
    _Xconst char *editor;
    Boolean unique;
    Boolean reverse; /* only at startup? */
    Boolean safer;
    Pixel fore_Pixel;
    Pixel back_Pixel;
    Pixel brdr_Pixel;
    Pixel hl_Pixel;
    Pixel cr_Pixel; /* cursor color ... */
    Boolean keep_flag;
#ifdef PS
    int postscript;
    Boolean allow_shell;
#endif
#ifdef PS_GS
    Boolean gs_safer;
    Boolean gs_alpha;
#endif
    float watch_file;
    int expert_mode;
    Boolean statusline;
    char *link_color; /* or Pixel? */
    char *visited_link_color; /* or Pixel? */
    char *browser;
    int page_history_size;
};
#endif /* 0 */

void popup_preferences_dialog(Widget parent, struct x_resources *preferences);
void copy_resources(const struct x_resources *source, struct x_resources *target);
void remove_from_deplist(struct prefs_choice *prefs, Widget w);
void add_to_deplist(struct prefs_choice *prefs, Widget w);

#endif

#endif /* XM_PREFS_H_ */
