/*
 * Copyright (c) 2004 Stefan Ulrich
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * PAUL VOJTA OR ANY OTHER AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

/*
 * `Private' common header for preferences dialogs.
 */

#ifndef XM_PREFS_P_H_
#define XM_PREFS_P_H_

#ifdef MOTIF

/*
 * For consistency when also using the names for XtNameToWidget() in callbacks
 */
/* widget names */
#define Xdvi_COLOR_DIALOG_NAME			"color_dialog"
#define Xdvi_COLOR_DIALOG_OLD_SAMPLE_NAME	"old_sample"
#define Xdvi_BROWSER_COMBO_NAME			"browser_combo"
#define Xdvi_EDITOR_COMBO_NAME			"editor_combo"
/* widget labels that are also used as widget names */
#define Xdvi_TB_BUTTONS_FLAT_STR		"Flat"
#define Xdvi_TB_BUTTONS_RAISED_STR		"Raised"
#define Xdvi_GUI_STATUSLINE_STR			"Show Statusline"
#define Xdvi_GUI_TOOLBAR_STR			"Show Toolbar"
#define Xdvi_GUI_PAGELIST_STR			"Show Pagelist"
#define Xdvi_GUI_SCROLLBARS_STR			"Show Scrollbars"
#define Xdvi_VISITED_LINKS_STR			"Visited Links:"
#define Xdvi_UNVISITED_LINKS_STR		"Unvisited Links:"
#define Xdvi_ADD_COMMAND_STR			"Other ..."

struct prefs_choice {
    struct x_resources *orig;
    struct x_resources *changed;
    Widget *depwin;
    size_t depwin_cnt;
};

extern void h_attach_below(Widget x, Widget y);

#endif /* MOTIF */

#endif /* XM_PREFS_P_H_ */

